%function makeplotS(im)
clear all;
close all;

N_loop=[21 41];
N_size=length(N_loop)
p=4
kt=4;
scheme='e1'
dim=1
cfl_i=1.8

for i=1:N_size
    N=N_loop(i)
    dx=1/(N-1);
switch kt
case 4
    method='rk4c';
 %   cfl_i=1;
case 5
method='rk5'
%cfl_i=0.3;
case 7
%cfl_i=1.5;
method='rk7'
end
        

%cfl_i=1.;
% filename1=['1D77451e1_Spectrum_tau' num2str(tau*10) '_N' num2str(N-1) '.eps']
% filename2=['1D77451e1_Spectrum_tau0p0_N' num2str(N-1) '.eps']
% filename3=['1D77451e1_ROS_tau' num2str(tau*10) '_N' num2str(N-1) '.eps']
 [P,Q,IP,D]=Diff_cpt4(N);


Qp=Q;

L=eig(-D);

 wave_speed=sqrt(1)
   
cfl=cfl_i/wave_speed;

minrL=min(real(L));
maxrL=max(real(L));
miniL=min(imag(L));
maxiL=max(imag(L));

figure(1)
clf;
set(axes,'fontsize',20);

plot(real(L),imag(L),'.');
axis([1.2*minrL 1.2*maxrL 1.2*miniL 1.2*maxiL])
title(sprintf('N=%2d, %s= %1.1f',N-1));
xlabel('Real part');
ylabel('Imaginary part');
%saveas(gcf,filename1)
hold on;
plot(real(L),imag(L),'o');

%saveas(gcf,filename1)
hold off;

switch method
case 'rk4c'
   plotOS = 0;
R = @f4c; 
  case 'rk5'
plotOS = 0;
R = @f5;
  case 'rk7'
plotOS = 0;
R = @f7;
  end
mrl=min(minrL*cfl*dx,-5);
      axisbox = [mrl 5 -5 5];
%axisbox=[-.3 .1 -3 3];

    xa = axisbox(1); xb = axisbox(2); ya = axisbox(3); yb = axisbox(4);
    
% compute ratio R(z) over a fine grid on the region [xa,xb] x [ya,yb]
%eig3(i)=L3(i_max(i))

maxi=0;
 for ii=1:N
lmax=L(ii)*(cfl)*dx;
Ramax_local = abs(feval(R,lmax));
  if (Ramax_local >= maxi) 
      maxi=Ramax_local;
      i_max(i)=ii;
  end
 end
 eig_cpt(i)=L(i_max(i));
 Ramax(i)=maxi;

nptsx = 501;
nptsy = 501;
x = linspace(xa,xb,nptsx);
y = linspace(ya,yb,nptsy);
[X,Y] = meshgrid(x,y);
Z = X + 1i*Y;
Rval = feval(R,Z);

%----------------------------------------------------------------------
% Plot S, region of absolute stability:

Rabs = abs(Rval);
     
figure(2)
clf
surf(x,y,0*Rabs,Rabs,'EdgeColor','none')
view(2)
%colormap([.7 .7 1;1 1 1])
colormap([.7 .7 .7;1 1 1])   % grayscale
caxis([.99 1.01])
%daspect([1 1 1])
hold on
contour(x,y,Rabs,[1 1],'k')
box on
hold off
title(sprintf('Region of absolute stability N=%2d, %s= %1.1f',N-1));
%title('Region of absolute stability','FontSize',15)
% plot axes:
hold on
plot([xa xb],[0 0],'k')
plot([0 0],[ya yb],'k')
plot(cfl*dx*real(L),cfl*dx*imag(L),'.');
%plot(cfl*dx*real(L3),cfl*dx*imag(L3),'o');

axis([xa xb ya yb])
set(gca,'FontSize',15)
%saveas(gcf,filename3)
 %hold off
 method
%  Ramax
 pause
end %end of loop
Ramax


